Run Research
Endpoint
POST /functions/v1/run-research
Purpose
Starts a full research workflow and returns asession_id immediately. Use Get Session Status to retrieve the final result.
Authentication
Required:Authorization: Bearer YOUR_ACCESS_TOKEN
Request headers
AuthorizationContent-Type: application/json
Request body
Required fields
Common settings
Example request
Example response
Next step
Poll:GET /functions/v1/get-session-status?session_id=...
Possible errors
400 Bad Request401 Unauthorized402 Payment Required500 Internal Error